Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Email receiving Estimated time: 0.00 hour
Target version: 2.3.0

Resolution: Fixed

Description

This patch creates the option --default-group to the mail hander.

The purpose is to put created users that are handled by the script into a default group.

With the associated permissions on this group, and a "Default notification option" conducive to a response for a new account, the
objectives of responding to a issues in a private project without exposing all issues to the user is achievable as requested in #6069

and #8497.

The patch in #10178 would also compliment this nicely.

Other management functions, like identifying how the user account was created (e.g. --default-group=Email) are also made easier.

Related issues:
Has duplicate Redmine - Feature #8643: Allow rdm-mailhandler with unknown-use... Closed 2011-06-17

Precedes Redmine - Defect #13712: Fix email rake tasks to also support no_acc... Closed

Associated revisions

Revision 11522 - 2013-03-03 08:59 - Jean-Philippe Lang

Mail handler: adds --default-group option to add created user to one or more groups (#13340).

Revision 11580 - 2013-03-10 13:35 - Jean-Philippe Lang
Merged r11522 from trunk (#13340).

History

#1 - 2013-03-03 09:02 - Jean-Philippe Lang

- Tracker changed from Patch to Feature

- Subject changed from mail_handler can put created user into default group to Mail handler: option to add created user to default group
- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 2.3.0

- Resolution set to Fixed

Feature added in r11522. The patch was slightly refactored and a test was added. The --default-group option also accepts a comma separated list of
names to add new users to several groups. Thanks.

#2 - 2013-03-10 13:35 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.

#3 - 2013-04-03 08:39 - Daniel Jones

This doesn't seem to work when using redmine:email:receive_imap via Rake.

Specifying default_group="?7? isn't passed through to the mail handler.
https://www.redmine.org/issues/6069
https://www.redmine.org/issues/8497
https://www.redmine.org/issues/10178
https://www.redmine.org/projects/redmine/repository/svn/revisions/11522

Can anyone help me understand how to use this with the rake task?

#4 - 2013-04-25 19:44 - Arron Woods

+1 on this not working with the redmine:email:receive_imap rake

Is this only designed for the piped version? | have a group called "Clients", with this in my cron:

/usr/local/bin/rake -f /opt/apps/redmine/Rakefile redmine:email:receive_imap RAILS_ENV=production host=imap.gmail.com port=993 username="**

password=""" ss|=SSL folder=Redmine project=helpdesk tracker=Support category=Incoming unknown_user=create
allow_override=project,assigned_to default_group=53

#5 - 2013-05-24 18:58 - Jadranko Stjepanovi¢

Daniel Jones wrote:
This doesn't seem to work when using redmine:email:receive_imap via Rake.
Specifying default_group="?7? isn't passed through to the mail handler.

Can anyone help me understand how to use this with the rake task?

Right, lib/tasks/email.rake has not been patched, so it does not recognize new option.
#6 - 2013-05-25 00:54 - Mischa The Evil
Jadranko Stjepanovi¢ wrote:
Right, lib/tasks/email.rake has not been patched, so it does not recognize new option.
Daniel J., Arron: Jadranko is right. Both --no-account-notice and --default-group options weren't supported for email fetching using the rake task (pop

and imap) in Redmine 2.3.0.
This defect was reported via issue #13712, fixed in r11748 and released in Redmine 2.3.1.

#7 - 2015-04-05 19:04 - Go MAEDA

- Has duplicate Feature #8643: Allow rdm-mailhandler with unknown-user=create to attach the user to a specific group instead of creating a "rightless"
user added

Files

mail_handler.patch 2.87 KB 2013-03-03 Daniel Black
